at.chipkarte.client.auth.soap

## Class ProduktInfo

- Object
- - at.chipkarte.client.auth.soap.ProduktInfo

-     public class ProduktInfo
      extends Object

  Enthält Informationen des Softwareprodukts, das diese Schnittstelle implementiert.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProduktInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHerstellerId()` Hersteller-ID des Softwareherstellers.
    `Integer` | `getProduktId()` Produkt-Id des Softwareprodukts, das diese Schnittstelle implementiert.
    `String` | `getProduktVersion()` Versionsinformation des Softwareprodukts, das diese Schnittstelle implementiert.
    `void` | `setHerstellerId(String herstellerId)`
    `void` | `setProduktId(Integer produktId)`
    `void` | `setProduktVersion(String produktVersion)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProduktInfo

          public ProduktInfo()

  - ### Method Detail

    - #### getProduktId

          public Integer getProduktId()

      Produkt-Id des Softwareprodukts, das diese Schnittstelle implementiert.
      Die Id wird vom Hauptverband der österreichischen Sozialversicherungsträger (HVB) vergeben.
      Format: 6-stellig
      Returns:
        Produkt-Id

    - #### getProduktVersion

          public String getProduktVersion()

      Versionsinformation des Softwareprodukts, das diese Schnittstelle implementiert.
      Format: max. 20-stellig
      Returns:
        Produkt-Version

    - #### getHerstellerId

          public String getHerstellerId()

      Hersteller-ID des Softwareherstellers.
      Die ID wird vom SVC-Partnersupport vergeben.
      Format: 10-stellig
      Returns:
        Hersteller-ID

    - #### setProduktId

          public void setProduktId(Integer produktId)

    - #### setProduktVersion

          public void setProduktVersion(String produktVersion)

    - #### setHerstellerId

          public void setHerstellerId(String herstellerId)